
#' mzDb
#'
#' A list containing all scan information from one of the mmetspData package
#' files used for examples, tests, and vignettes in this package.
#'
#' @format A list with length 926
#' @source inst/script/makeAutotunerTestData.R
"mzDb"

#' observedPeak
#'
#' A list containing peak start and end times for one peak of the mmetspData
#' package files used for examples, tests, and vignettes in this package.
#'
#' @format A list with length 2
#' \describe{
#'   \item{start}{56.18}
#'   \item{end}{97.73}
#' }
#' @source inst/script/makeAutotunerTestData.R
"observedPeak"

#' Autotuner
#'
#' Autouner object used to test functions contained within the package. The
#' content of this object was made using the mmetspData package.
#'
#' @format An Autotuner object
#' @source inst/script/makeTestData.R
"Autotuner"

#' eicParamsEsts
#'
#' This object contains a data.frame of parameter estimates generated by
#' running the Autotuner algorithm of the Autotuner object.
#'
#' @format A data.frame representing the output of the EICparams function.
#' @source inst/script/makeTestData.R
"eicParamsEsts"
